#define GLUE(a, b)  a##b
#define GPIO(x)    GLUE(GPIO, x)
#define PIN(x)    GLUE(GPIO_PIN_(x)
#define pinSET(x,y) GPIO(x)->BSRRL =(1<<y)
#define pinCLR(x,y) GPIO(x)->BSRRH =(1<<y)
#define pinDIRout(x,y) GPIO(x)->MODER|= (1<<(y*2))//b01 setzen
#define pinDIRin(x,y) GPIO(x)->MODER&= ~(3<<(y*2))//b01 lschen
#define pinVAL(x,y) GPIO(x)->IDR&(1<<(y))


#define led1_on  GPIOG->ODR |=GPIO_Pin_13
#define led1_off GPIOG->ODR &=~GPIO_Pin_13
#define led1_tog GPIOG->ODR^= GPIO_Pin_13

void init_gpio2rcc(void){
	  RCC_AHB1PeriphClockCmd(
			  RCC_AHB1Periph_GPIOA |
			  RCC_AHB1Periph_GPIOB |
			  RCC_AHB1Periph_GPIOC |
			  RCC_AHB1Periph_GPIOD |
	          RCC_AHB1Periph_GPIOE |
	          RCC_AHB1Periph_GPIOF |
	          RCC_AHB1Periph_GPIOG |
	          RCC_AHB1Periph_GPIOH, ENABLE);
}

void init_led(void) {
  GPIO_InitTypeDef GPIO_InitStructure;

  // Clock Enable

  // Config PG13 als Digital-Ausgang
  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_13 | GPIO_Pin_14;
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
  GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
  GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_UP;
  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
  GPIO_Init(GPIOG, &GPIO_InitStructure);
//GPIOG->OSPEEDR=	GPIO_Speed_50MHz<<(2*pin);

 // GPIO_InitStructure.GPIO_Pin = GPIO_Pin_14;

  GPIO_Init(GPIOG, &GPIO_InitStructure);
}


